ENV['RACK_ENV'] = 'test'
require_relative 'spec_helper'
require 'rack/test'
require 'json'

describe Api::Web do
  include Rack::Test::Methods

  def app
    Api::Web.new
  end

  before(:all) do
    AuthManager::Base.redis_del({list: 'applications'})
    AuthManager::Base.redis_del({ list: 'applications_sessions' } )
    AuthManager::Base.redis_sadd({list: 'applications',object: {api_key: 'an api_key'}})
  end


  context 'When an app attemps to log in' do
    it 'returns 200 code status for success' do
      post '/apps/connect', parameter_for('app')
      expect(last_response.status).to eq(200)
    end

    it 'returns 400 code status for faillure' do
      post '/apps/connect', bad_parameter_for('app')
      expect(last_response.status).to eq(400)
    end
  end
end

